libstdc++: std::atomic< char32_t > Struct Reference

libstdc++

std::atomic< char32_t > Struct Reference
Atomics

`#include <atomic>`

## Public Types
typedef __atomic_base< char32_t > | __base_type
typedef char32_t | __integral_type
using | value_type

## Public Member Functions
constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (char32_t &__e, char32_t __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (char32_t &__e, char32_t __i, memory_order __s, memory_order __f) noexcept
char32_t | exchange (char32_t __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
char32_t | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator char32_t () const noexcept
| operator char32_t () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (char32_t __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for char32_t.

Definition at line 1075 of file atomic.

## Member Typedef Documentation

## ◆ __base_type

typedef __atomic_base<char32_t> std::atomic< char32_t >::__base_type

Definition at line 1078 of file atomic.

## ◆ __integral_type

typedef char32_t std::atomic< char32_t >::__integral_type

Definition at line 1077 of file atomic.

## ◆ value_type

using std::atomic< char32_t >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## ◆ atomic()

std::atomic< char32_t >::atomic | ( | __integral_type | __i | ) |
| inlineconstexprnoexcept

Definition at line 1086 of file atomic.

## Member Function Documentation

## ◆ compare_exchange_strong()

bool std::atomic< char32_t >::compare_exchange_strong | ( | char32_t & | __e,
|  | char32_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 383 of file atomic.

## ◆ compare_exchange_weak()

bool std::atomic< char32_t >::compare_exchange_weak | ( | char32_t & | __e,
|  | char32_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )
| inlinenoexcept

Definition at line 355 of file atomic.

## ◆ exchange()

char32_t std::atomic< char32_t >::exchange | ( | char32_t | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 332 of file atomic.

## ◆ is_lock_free()

bool std::atomic< char32_t >::is_lock_free | ( |  | ) | const
| inlinenoexcept

Definition at line 277 of file atomic.

## ◆ load()

char32_t std::atomic< char32_t >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const
| inlinenoexcept

Definition at line 314 of file atomic.

## ◆ operator char32_t() [1/2]

std::atomic< char32_t >::operator char32_t | ( |  | ) | const
| inlinenoexcept

Definition at line 262 of file atomic.

## ◆ operator char32_t() [2/2]

std::atomic< char32_t >::operator char32_t | ( |  | ) | const volatile
| inlinenoexcept

Definition at line 265 of file atomic.

## ◆ store()

void std::atomic< char32_t >::store | ( | char32_t | __i,
|  | memory_order | __m = memory_order_seq_cst )
| inlinenoexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic